Package org.eclipse.lemminx.extensions.xsd.participants.diagnostics

## Class LSPXMLGrammarPreparser

- java.lang.Object
- - org.apache.xerces.parsers.XMLGrammarPreparser
  - - org.eclipse.lemminx.extensions.xsd.participants.diagnostics.LSPXMLGrammarPreparser

    public class LSPXMLGrammarPreparser
    extends org.apache.xerces.parsers.XMLGrammarPreparser

Xerces `XMLGrammarPreparser` doesn't provide the capability to override the `XMLErrorReporter` which is required to get XMLl This class overrides `XMLGrammarPreparser.preparseGrammar(String, XMLInputSource)` to use LSP error reporter.

### Field Summary

### Fields inherited from class org.apache.xerces.parsers.XMLGrammarPreparser

`ENTITY_RESOLVER, ERROR_HANDLER, ERROR_REPORTER, fEntityResolver, fErrorReporter, fGrammarPool, fLocale, fSymbolTable, GRAMMAR_POOL, SYMBOL_TABLE`

### Constructor Summary

Constructors
`LSPXMLGrammarPreparser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.xerces.xni.grammars.Grammar` `preparseGrammar​(String type, org.apache.xerces.xni.parser.XMLInputSource is)`
`void` `setErrorReporter​(org.apache.xerces.impl.XMLErrorReporter errorReporter)`
`void` `setProperty​(String propId, Object value)`

### Methods inherited from class org.apache.xerces.parsers.XMLGrammarPreparser

`getEntityResolver, getErrorHandler, getFeature, getGrammarPool, getLoader, getLocale, getProperty, registerPreparser, setEntityResolver, setErrorHandler, setFeature, setGrammarPool, setLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPXMLGrammarPreparser

    public LSPXMLGrammarPreparser()

### Method Detail

#### preparseGrammar

    public org.apache.xerces.xni.grammars.Grammar preparseGrammar​(String type,
                                                                  org.apache.xerces.xni.parser.XMLInputSource is)
                                                           throws org.apache.xerces.xni.XNIException,
                                                                  IOException

Overrides:
  `preparseGrammar` in class `org.apache.xerces.parsers.XMLGrammarPreparser`
Throws:
  `org.apache.xerces.xni.XNIException`
  `IOException`

#### setProperty

    public void setProperty​(String propId,
                            Object value)

Overrides:
  `setProperty` in class `org.apache.xerces.parsers.XMLGrammarPreparser`

#### setErrorReporter

    public void setErrorReporter​(org.apache.xerces.impl.XMLErrorReporter errorReporter)